Package com.smartgwt.client.ai

# Class BuildUIViaAIContext

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.util.AsyncOperationContext
com.smartgwt.client.ai.BuildViaAIContext
com.smartgwt.client.ai.BuildUIViaAIContext

All Implemented Interfaces:
  `HasHandlers`

Direct Known Subclasses:
  `BuildDataBoundUIViaAIContext`

public class BuildUIViaAIContext extends BuildViaAIContext
Context for an ongoing build-UI-via-AI operation.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuildUIViaAIContext()`
  `BuildUIViaAIContext(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getJSCode()`
  The working JavaScript code.
  `PaletteNode[]`
  `getNodes()`
  The working PaletteNodes.
  `static BuildUIViaAIContext`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getUIType()`
  The AI-selected UI type.
  `BuildUIViaAIContext`
  `setJSCode(String jsCode)`
  The working JavaScript code.
  `BuildUIViaAIContext`
  `setNodes(PaletteNode... nodes)`
  The working PaletteNodes.
  `BuildUIViaAIContext`
  `setUIType(String uiType)`
  The AI-selected UI type.

  ### Methods inherited from class com.smartgwt.client.util.AsyncOperationContext

  `getCancellationController, setCancellationController`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BuildUIViaAIContext

    public BuildUIViaAIContext()

  - ### BuildUIViaAIContext

    public BuildUIViaAIContext(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static BuildUIViaAIContext getOrCreateRef(JavaScriptObject jsObj)

  - ### setJSCode

    public BuildUIViaAIContext setJSCode(String jsCode)
    The working JavaScript code.
    Parameters:
      `jsCode` - New jsCode value. Default value is null
    Returns:
      `BuildUIViaAIContext` instance, for chaining setter calls

  - ### getJSCode

    public String getJSCode()
    The working JavaScript code.
    Returns:
      Current jsCode value. Default value is null

  - ### setNodes

    public BuildUIViaAIContext setNodes(PaletteNode... nodes)
    The working PaletteNodes.
    Parameters:
      `nodes` - New nodes value. Default value is null
    Returns:
      `BuildUIViaAIContext` instance, for chaining setter calls

  - ### getNodes

    public PaletteNode[] getNodes()
    The working PaletteNodes.
    Returns:
      Current nodes value. Default value is null

  - ### setUIType

    public BuildUIViaAIContext setUIType(String uiType)
    The AI-selected UI type.
    Parameters:
      `uiType` - New uiType value. Default value is null
    Returns:
      `BuildUIViaAIContext` instance, for chaining setter calls

  - ### getUIType

    public String getUIType()
    The AI-selected UI type.
    Returns:
      Current uiType value. Default value is null